Linux 4.1 on UDOO Neo?

Discussion in 'UDOO NEO' started by Gorgo, Jan 25, 2017.

  1. Gorgo

    Gorgo UDOOer

    Joined:
    Nov 9, 2016
    Messages:
    158
    Likes Received:
    17
  2. jas-mx

    jas-mx Active Member

    Joined:
    Dec 31, 2013
    Messages:
    407
    Likes Received:
    118
    To build a kernel its documented here , be careful the state of that kernel is unknown.
     
  3. jas-mx

    jas-mx Active Member

    Joined:
    Dec 31, 2013
    Messages:
    407
    Likes Received:
    118
    Also note the current 3.14.x kernel is EOL.
     
    cyrilf likes this.
  4. cyrilf

    cyrilf Active Member

    Joined:
    Feb 19, 2015
    Messages:
    168
    Likes Received:
    47
    You cannot compile the kernel from this branch as there is missing files. You probably should download the Freescale mainline kernel and add the DTS and defconfig files related to the UDOO NEO instead.
     
    Last edited: Jan 30, 2017
  5. waltervl

    waltervl UDOOer

    Joined:
    Dec 12, 2015
    Messages:
    2,302
    Likes Received:
    575
  6. Andrea Rovai

    Andrea Rovai Well-Known Member

    Joined:
    Oct 27, 2014
    Messages:
    1,703
    Likes Received:
    240
    Hello to you all,
    for those of you looking for a version that can compile, based on Kernel 4, on UDOO NEO, my colleague @Francesco, with help from my other colleague @ektor5, has made an image that you can download from here:
    http://www.udoo.org/forum/threads/ubuntu-16-04-for-udoo-neo.4957/
    You can also find it on the Francesco's GitHub page:
    https://github.com/fmntf/linux_kernel/tree/4.1.15_1.x-udoo
    What doesn't work with that image is M4/Arduino, so you can easily understand why we haven't released it yet.
    @Francesco has just told me it compiles.
     
    waltervl and Gorgo like this.
  7. waltervl

    waltervl UDOOer

    Joined:
    Dec 12, 2015
    Messages:
    2,302
    Likes Received:
    575
    One important issue with this version: ttyMCC is not working! It needs a major overhaul to another type of communication.
     
    Andrea Rovai and cyrilf like this.
  8. cyrilf

    cyrilf Active Member

    Joined:
    Feb 19, 2015
    Messages:
    168
    Likes Received:
    47
    @Andrea Rovai Yes to pass this step you have to disable the ttyMCC device (I don't understand why this isn't done by default in the udoo_neo_defconfig file :confused:) as this version doesn't support it. But it doesn't compile modules either btw. I especially wasn't able to compile the TI wlcore and wl18xx drivers. I'll post further details as soon as possible ;)
     
    Andrea Rovai and modjo like this.
  9. jas-mx

    jas-mx Active Member

    Joined:
    Dec 31, 2013
    Messages:
    407
    Likes Received:
    118
    @Andrea Rovai Unfortunately this seems to show a lack of foresight from the UDOO team. MQX support for imx6sx was dropped by NXP in favor for FreeRTOS (for new BSPs) end of 2015/start of 2016. So there has been an opportunity to cross port the arduino layer for just under a year. Unfortunately not addressing these types of issues doesn't instill much confidence in the platform for existing users or potential new customers.
     
    Last edited: Feb 1, 2017
    waltervl likes this.
  10. tcmichals

    tcmichals Member

    Joined:
    Feb 25, 2015
    Messages:
    54
    Likes Received:
    27
    @Andrea Rovai, If there are issues with the M4/A9, rpmsg I can help out if there are still issues.
     
    modjo and waltervl like this.

Share This Page